Subject: Re: linux-next: Fixes tag needs some work in the pm tree

From: Heikki Krogerus <[email-masked]>
Date: Thu, 12 Sep 2019 10:40:38 +0300

On Wed, Sep 11, 2019 at 07:17:52PM +0200, Rafael J. Wysocki wrote:
> On Wednesday, September 11, 2019 9:27:41 AM CEST Heikki Krogerus wrote:
> > On Wed, Sep 11, 2019 at 12:33:06AM +1000, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > In commit
> > > 
> > >   fd3f7275826f ("software node: Initialize the return value in software_node_find_by_name()")
> > > 
> > > Fixes tag
> > > 
> > >   Fixes: 1666faedb567 ("software node: Add software_node_get_reference_args()")
> > > 
> > > has these problem(s):
> > > 
> > >   - Subject does not match target commit subject
> > >     Just use
> > > 	git log -1 --format='Fixes: %h ("%s")'
> > > 
> > > Did you mean
> > > 
> > > Fixes: 1666faedb567 ("software node: Add software_node_find_by_name()")
> > > 
> > > or
> > > 
> > > Fixes: b06184acf751 ("software node: Add software_node_get_reference_args()")
> > 
> > Rafael, it seems you have rebased your branch.
> 
> No, I haven't.
> 
> Actually, the commit ID is correct, but the name isn't.
> 
> You'd have been unlikely to get a valid commit ID matching anything with
> "software node" in the subject had it been rebased. :-)

Ah. I've added the tag line manually (for some reason). I'm sorry
about that. I usually use this:

        % git show -s --abbrev-commit --abbrev=12 --pretty=format:"%h (\"%s\")%n"

> > Do you want me to resend those fixes, or can you fix the tags in them
> > yourself?
> 
> I fixed that tag up.

Thanks Rafael!

-- 
heikki